namespace FotbalPortal.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class clubCategory : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.Clubs", "categoryID", c => c.Int(nullable: true));
            AddForeignKey("dbo.Clubs", "categoryID", "dbo.Categories", "id", cascadeDelete: true);
            CreateIndex("dbo.Clubs", "categoryID");
        }
        
        public override void Down()
        {
            DropIndex("dbo.Clubs", new[] { "categoryID" });
            DropForeignKey("dbo.Clubs", "categoryID", "dbo.Categories");
            DropColumn("dbo.Clubs", "categoryID");
        }
    }
}
